<template name="eventReplication">
	<div class="details-form event-replicate">
		<div class="row gap-3">
			<div class="col-md">
				<nav>
					<ul class="nav nav-tabs replica-nav-tabs">
						<li class="nav-item" role="presentation">
							<button class="nav-link active" id="frequency-tab" data-bs-toggle="tab"
									data-bs-target="#frequency" type="button" role="tab"
									aria-controls="frequency" aria-selected="true">
								<span class="fa-solid fa-list-ul fa-fw" aria-hidden="true"></span>
								{{i18n 'event.replication.changeToPattern' 'Select frequency'}}
							</button>
						</li>
						<li class="nav-item" role="presentation">
							<button class="nav-link" id="datepicker-tab" data-bs-toggle="tab"
									data-bs-target="#datepicker" type="button" role="tab"
									aria-controls="datepicker" aria-selected="false">
								<span class="fa-regular fa-calendar-check fa-fw"
									  aria-hidden="true"></span>
								{{i18n 'event.replication.changeToPicker' 'Pick dates'}}
							</button>
						</li>
					</ul>
				</nav>
				<div class="tab-content replica-tab-content">
					<div class="tab-pane" id="datepicker" role="tabpanel"
						 aria-labelledby="datepicker-tab" tabindex="0">
						<div class="js-replicate-datepick"></div>
					</div>
					<div class="tab-pane mb-3 active" id="frequency" role="tabpanel"
						 aria-labelledby="frequency-tab" tabindex="0">
						<label class="form-label" for="replicateStart">
							{{i18n 'event.replication.interval.start' 'Interval Start'}}
						</label>
						<div class="input-group">
							<span class="input-group-text">
								<span class="fa-regular fa-calendar-days fa-fw"
									  aria-hidden="true"></span>
							</span>
							<input type="text"
								   class="form-control js-replicate-date js-update-replicas"
								   id="replicateStart" size="8" value="{{replicaStart}}">
							<span class="replica-date-weekday">{{replicateStartDay}}</span>
						</div>
						<label class="form-label" for="replicateEnd">
							{{i18n 'event.replication.interval.end' 'Interval End'}}
						</label>
						<div class="input-group">
							<span class="input-group-text">
								<span class="fa-regular fa-calendar-days fa-fw"
									  aria-hidden="true"></span>
							</span>
							<input type="text"
								   class="form-control js-replicate-date js-update-replicas"
								   id="replicateEnd" size="8" value="{{replicaEnd}}">
							<span class="replica-date-weekday">{{replicateEndDay}}</span>
						</div>
						<label class="form-label" for="replicateFrequency">
							{{i18n 'event.replication.repeat' 'Repeat'}}
						</label>
						<div class="form-check">
							<input class="form-check-input js-replicate-frequency js-update-replicas"
								   type="radio" name="replicateFrequency"
								   id="replicateFrequencyOnce" value="once">
							<label class="form-check-label" for="replicateFrequencyOnce">
								{{i18n 'event.replication.freq.once' 'once'}}
							</label>
						</div>
						<div class="form-check">
							<input class="form-check-input js-replicate-frequency js-update-replicas"
								   type="radio" name="replicateFrequency"
								   id="replicateFrequencyDaily" value="daily">
							<label class="form-check-label" for="replicateFrequencyDaily">
								{{i18n 'event.replication.freq.daily' 'every day'}}
							</label>
						</div>
						<div class="form-check">
							<input class="form-check-input js-replicate-frequency js-update-replicas"
								   type="radio" name="replicateFrequency"
								   id="replicateFrequencyWeekly" value="weekly" checked>
							<label class="form-check-label" for="replicateFrequencyWeekly">
								{{i18n 'event.replication.freq.weekly' 'once a week'}}
							</label>
						</div>
						<div class="form-check">
							<input class="form-check-input js-replicate-frequency js-update-replicas"
								   type="radio" name="replicateFrequency"
								   id="replicateFrequencyBiWeekly" value="biWeekly">
							<label class="form-check-label" for="replicateFrequencyBiWeekly">
								{{i18n 'event.replication.freq.biWeekly' 'every 2 weeks'}}
							</label>
						</div>
					</div>
				</div>
			</div>
			<div class="col-md">
				{{#if replicaDateCount}}
					<label class="form-label">
						{{i18n 'event.replication.createText' 'Create {COUNT, plural, one{a copy on this date} other{# copies on this dates} }' COUNT=replicaDateCount}}
					</label>
					<div class="replica-event-captions row">
						{{#each date in replicaDates}}
							<div class="event-caption col-3" title="{{dateTimeLong date}}">
								<div class="event-caption-header-wrap">
									<div class="event-caption-header">
										<span class="fa-solid fa-map-pin"></span>
										{{weekdayFormat date}}
										<div class="event-caption-pseudoborder"></div>
									</div>
								</div>
								<div class="event-caption-body-wrap">
									<div class="event-caption-body">
										{{dateShort date}}
									</div>
								</div>
							</div>
						{{/each}}
					</div>
				{{else}}
					<label
						   class="form-label">{{i18n 'event.replication.noDates' 'No date(s) selected'}}</label>
					<div class="replica-event-captions">
						<div class="event-caption event-caption-placeholder">
							<div class="event-caption-header-wrap">
								<div class="event-caption-header">
									<span class="fa-solid fa-map-pin"></span>
									<div class="event-caption-pseudoborder"></div>
								</div>
							</div>
							<div class="event-caption-body-wrap">
								<div class="event-caption-body">
									{{dateShort this.start}}
								</div>
							</div>
						</div>
					</div>
				{{/if}}
			</div>
		</div>
		<div class="replicate-actions">
			{{#if replicaDateCount}}
				{{> buttonSave event='js-replicate-btn'}}
			{{/if}}
			{{> buttonCancel event='js-cancel-replication'}}
		</div>
	</div>
</template>
